1.4.0 release?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

1.4.0 release?

Dmitry Marakasov
Hi!

Some time ago PROJ.4 library version 4.8.0 was released, and
libgeotiff-1.3.0 is not compatible with it as it uses old PROJ.4
api (projects.h) which was removed in proj update.

This was fixed in libgeotiff as long as 1.5 years ago (r1907),
however no official release of libgeotiff was made since then.
ftp has libgeotiff-1.4.0RC1.tar.gz, but I guess it didn't go
past RC1.

In the current situation users and distros are left with unpleasant
choice of either sticking with outdated version of proj (I was reported
of some proj problems which were fixed in 8.7.0) or using libgeotiff
SVN (inconvenient for users and may be against policy of distros; and
version may be unstable). Or patching libgeotiff-1.3.0 with r1907
which should work, but is still undesirable.

Isn't it time to release a new official version? I guess libgeotiff
itself has had quite enough bugfixes and improvements since 1.3.0.

--
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
[hidden email]  ..:  jabber: [hidden email]    http://www.amdmi3.ru
_______________________________________________
Geotiff mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/geotiff
Reply | Threaded
Open this post in threaded view
|

Re: 1.4.0 release?

Frank Warmerdam
Dmitry,

I agree, it is time for a libgeotiff 1.4.0 release.  I had taken a
crack at it early last year but somehow got derailed.

I'll try to prepare an RC today and hopefully we can finalize it early
next week.

Best regards,
Frank

On Thu, Mar 29, 2012 at 10:17 AM, Dmitry Marakasov <[hidden email]> wrote:

> Hi!
>
> Some time ago PROJ.4 library version 4.8.0 was released, and
> libgeotiff-1.3.0 is not compatible with it as it uses old PROJ.4
> api (projects.h) which was removed in proj update.
>
> This was fixed in libgeotiff as long as 1.5 years ago (r1907),
> however no official release of libgeotiff was made since then.
> ftp has libgeotiff-1.4.0RC1.tar.gz, but I guess it didn't go
> past RC1.
>
> In the current situation users and distros are left with unpleasant
> choice of either sticking with outdated version of proj (I was reported
> of some proj problems which were fixed in 8.7.0) or using libgeotiff
> SVN (inconvenient for users and may be against policy of distros; and
> version may be unstable). Or patching libgeotiff-1.3.0 with r1907
> which should work, but is still undesirable.
>
> Isn't it time to release a new official version? I guess libgeotiff
> itself has had quite enough bugfixes and improvements since 1.3.0.
>
> --
> Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
> [hidden email]  ..:  jabber: [hidden email]    http://www.amdmi3.ru
> _______________________________________________
> Geotiff mailing list
> [hidden email]
> http://lists.maptools.org/mailman/listinfo/geotiff



--
---------------------------------------+--------------------------------------
I set the clouds in motion - turn up   | Frank Warmerdam, [hidden email]
light and sound - activate the windows | http://pobox.com/~warmerdam
and watch the world go round - Rush    | Geospatial Software Developer
_______________________________________________
Geotiff mailing list
[hidden email]
http://lists.maptools.org/mailman/listinfo/geotiff